Bug 68793 - not writing NETWORKING=YES into /etc/sysconfig/network
Summary: not writing NETWORKING=YES into /etc/sysconfig/network
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: limbo
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-07-14 10:46 UTC by Michael Schwendt
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 12:20:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2002-07-14 10:46:06 UTC
Description of problem:
These are two related bugs in one report.

This is about installing Red Hat Linux without "network support" and then adding
networking components after installation.

1. Upon adding and configuring a network device with redhat-config-network, it
should write NETWORKING=yes into /etc/sysconfig/network.

2. At the same time, it should be capable of replacing an existing NETWORKING=no
definition in /etc/sysconfig/network.


Version-Release number of selected component (if applicable):
1.1.5-1

How reproducible:
Always

Steps to Reproduce:
1. rm -f /etc/sysconfig/network
2. rm -f $(find /etc/sysconfig -name ifcfg\*)
3. redhat-config-network
4. create profile, e.g. Ethernet device
5. save changes and exit
6. grep NETWORKING /etc/sysconfig/network


Actual Results:  Nothing (i.e. NETWORKING variable not defined in
/etc/sysconfig/network).

Expected Results:  NETWORKING=yes


Additional info:

When NETWORKING=no exists in /etc/sysconfig/network, redhat-config-network does
NOT replace it either. It should replace NETWORKING=no with NETWORKING=yes.

Various initscripts check for NETWORKING=no, e.g. "service network restart"
would exit silently and would not start a newly configured network.

A related bug exists in Anaconda, which doesn't write NETWORKING=no if network
support is not installed.

Comment 1 Harald Hoyer 2002-07-17 12:24:57 UTC
fixed in CVS

Comment 2 Jay Turner 2002-07-29 17:39:38 UTC
I'm still seeing some problems with redhat-config-network-1.1.12-1.  When first
configuring a network interface, I'm not getting "NETWORKING=yes" written to the
/etc/sysconfig/network file.  I am seeing it get changed from 'no' to 'yes' in
the second case above though.

Comment 3 Michael Schwendt 2002-07-29 18:26:08 UTC
Limbo's installer _always_ writes NETWORKING=yes into /etc/sysconfig/network,
regardless of whether any network devices are found or configured, respectively.
This is a change compared with previous versions (Skipjack, Valhalla) where
installation without "Network Support" would not write into /etc/sysconfig/network. 

Nevertheless, redhat-config-network should make sure that it maintains the
NETWORKING variable in /etc/sysconfig/network and adds NETWORKING=yes, if it
doesn't exist already.

NETWORKING=no, however, is a documented features and supported by a lot of
initscripts, so that should be dealt with, too.


Comment 4 Harald Hoyer 2002-08-13 12:20:31 UTC
ok, fixed ... in case we have devices neat writes/changes to
NETWORKING=yes


Comment 5 Jay Turner 2002-08-13 19:20:12 UTC
Fix confirmed with redhat-config-network-1.1.15-1.


Note You need to log in before you can comment on or make changes to this bug.